{% if search_facets|length != 0 %}
  <nav class="facets" {% if search_facets|raw != '[]' %} id="facets" {% endif %} role="navigation">
    <h3 class="facets__title">
      {{ 'Filter results'|t }}
      <button class="d-lg-none facets-button" id="collapse-facets" name="collapse-facets" role="button" aria-label="{{ 'Toggle the collapse of filter options'|t }}">
        <i class="fa-sharp fa-solid fa-circle-plus"></i>
      </button>
    </h3>
    <a href="#search-results" class="visually-hidden focusable skip-link">{{ 'Skip to main content'|t }}</a>
    <div class="facets__facets d-none d-lg-block">
      {% for facet_group in search_facets %}
        <div class="facets__group">
          <h4 class="facets__group-title">
            <i class="fa-fw fa-solid" data-label="{{ facet_group.title }}"></i>
            {{ facet_group.title }}
          </h4>
          <ul class="facets__list">
            {% for facet in facet_group.facets %}
              <li class="facets__item{% if facet.active == 1 %} active {% endif %}">
                <a class="facets__link row text-decoration-none" href="{{ facet.url }}" rel="nofollow"{% if facet.active == 1 %} aria-current="true"{% endif %}>
                  <span class="facet-label" title="{{ facet.label }}">{{ facet.label }}</span>
                  <span class="facet-count">{{ facet.amount }}</span>
                </a>
              </li>
            {% endfor %}
          </ul>
        </div>
      {% endfor %}
    </div>
  </nav>
{% endif %}
